Fork me on GitHub

Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 5
Number of dependencies (NOD): 143
Number of unique artifacts (NOA): 153
Number of version-conflicting artifacts (NOC): 8
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 93 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in modules

commons-beanutils:commons-beanutils

[Error]
1.8.0
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- net.sf.json-lib:json-lib:jar:jdk15:2.4:provided
          \- (commons-beanutils:commons-beanutils:jar:1.8.0:provided - omitted for conflict with 1.9.3)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- net.sf.json-lib:json-lib:jar:jdk15:2.4:provided
          \- (commons-beanutils:commons-beanutils:jar:1.8.0:provided - omitted for conflict with 1.9.3)

1.9.3
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    +- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
    |  +- commons-beanutils:commons-beanutils:jar:1.9.3:provided
    |  \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
    |     \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
    |        \- org.onehippo.cms7:hippo-repository-provider:jar:13.0.0:provided
    |           \- (commons-beanutils:commons-beanutils:jar:1.9.3:provided - omitted for duplicate)
    \- org.onehippo.cms7:hippo-cms-engine:jar:13.0.0:provided
       \- (commons-beanutils:commons-beanutils:jar:1.9.3:provided - omitted for duplicate)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    +- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
    |  +- commons-beanutils:commons-beanutils:jar:1.9.3:provided
    |  \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
    |     \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
    |        \- org.onehippo.cms7:hippo-repository-provider:jar:13.0.0:provided
    |           \- (commons-beanutils:commons-beanutils:jar:1.9.3:provided - omitted for duplicate)
    \- org.onehippo.cms7:hippo-cms-engine:jar:13.0.0:provided
       \- (commons-beanutils:commons-beanutils:jar:1.9.3:provided - omitted for duplicate)

commons-collections:commons-collections

[Error]
3.2.1
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- net.sf.json-lib:json-lib:jar:jdk15:2.4:provided
          \- (commons-collections:commons-collections:jar:3.2.1:provided - omitted for conflict with 3.2.2)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- net.sf.json-lib:json-lib:jar:jdk15:2.4:provided
          \- (commons-collections:commons-collections:jar:3.2.1:provided - omitted for conflict with 3.2.2)

3.2.2
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       +- commons-beanutils:commons-beanutils:jar:1.9.3:provided
       |  \- commons-collections:commons-collections:jar:3.2.2:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          +- org.onehippo.cms7:hippo-repository-utilities:jar:13.0.0:provided
          |  \- org.apache.jackrabbit:jackrabbit-spi-commons:jar:2.16.2-h3:provided
          |     \- (commons-collections:commons-collections:jar:3.2.2:provided - omitted for duplicate)
          \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
             +- org.apache.jackrabbit:jackrabbit-core:jar:2.16.2-h3:provided
             |  \- (commons-collections:commons-collections:jar:3.2.2:provided - omitted for duplicate)
             \- org.onehippo.cms7:hippo-repository-connector:jar:13.0.0:provided
                \- (commons-collections:commons-collections:jar:3.2.2:provided - omitted for duplicate)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       +- commons-beanutils:commons-beanutils:jar:1.9.3:provided
       |  \- commons-collections:commons-collections:jar:3.2.2:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          +- org.onehippo.cms7:hippo-repository-utilities:jar:13.0.0:provided
          |  \- org.apache.jackrabbit:jackrabbit-spi-commons:jar:2.16.2-h3:provided
          |     \- (commons-collections:commons-collections:jar:3.2.2:provided - omitted for duplicate)
          \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
             +- org.apache.jackrabbit:jackrabbit-core:jar:2.16.2-h3:provided
             |  \- (commons-collections:commons-collections:jar:3.2.2:provided - omitted for duplicate)
             \- org.onehippo.cms7:hippo-repository-connector:jar:13.0.0:provided
                \- (commons-collections:commons-collections:jar:3.2.2:provided - omitted for duplicate)

commons-fileupload:commons-fileupload

[Error]
1.3.2
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.apache.wicket:wicket-core:jar:7.10.0:provided
       \- org.apache.wicket:wicket-util:jar:7.10.0:provided
          \- (commons-fileupload:commons-fileupload:jar:1.3.2:provided - omitted for conflict with 1.3.3)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.apache.wicket:wicket-core:jar:7.10.0:provided
       \- org.apache.wicket:wicket-util:jar:7.10.0:provided
          \- (commons-fileupload:commons-fileupload:jar:1.3.2:provided - omitted for conflict with 1.3.3)

1.3.3
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- commons-fileupload:commons-fileupload:jar:1.3.3:provided

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- commons-fileupload:commons-fileupload:jar:1.3.3:provided

commons-io:commons-io

[Error]
2.5
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.apache.wicket:wicket-core:jar:7.10.0:provided
       \- org.apache.wicket:wicket-util:jar:7.10.0:provided
          \- commons-io:commons-io:jar:2.5:provided

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.apache.wicket:wicket-core:jar:7.10.0:provided
       \- org.apache.wicket:wicket-util:jar:7.10.0:provided
          \- commons-io:commons-io:jar:2.5:provided

2.6
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          +- org.onehippo.cms7:hippo-repository-utilities:jar:13.0.0:provided
          |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          +- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
          |  +- org.apache.jackrabbit:jackrabbit-core:jar:2.16.2-h3:provided
          |  |  +- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  |  \- org.apache.jackrabbit:jackrabbit-data:jar:2.16.2-h3:provided
          |  |     \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  +- org.onehippo.cms:hippo-configuration-management-model:jar:13.0.0:provided
          |  |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  +- org.onehippo.cms7:hippo-repository-tika:jar:13.0.0:provided
          |  |  +- org.apache.tika:tika-parsers:jar:1.19.1:provided
          |  |  |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          +- org.onehippo.cms7:hippo-repository-utilities:jar:13.0.0:provided
          |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          +- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
          |  +- org.apache.jackrabbit:jackrabbit-core:jar:2.16.2-h3:provided
          |  |  +- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  |  \- org.apache.jackrabbit:jackrabbit-data:jar:2.16.2-h3:provided
          |  |     \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  +- org.onehippo.cms:hippo-configuration-management-model:jar:13.0.0:provided
          |  |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  +- org.onehippo.cms7:hippo-repository-tika:jar:13.0.0:provided
          |  |  +- org.apache.tika:tika-parsers:jar:1.19.1:provided
          |  |  |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          |  \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)
          \- (commons-io:commons-io:jar:2.6:provided - omitted for conflict with 2.5)

commons-lang:commons-lang

[Error]
2.1
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.yui:yui-2.xx-sources:jar:1.01.12:provided
          \- (commons-lang:commons-lang:jar:2.1:provided - omitted for conflict with 2.6)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.yui:yui-2.xx-sources:jar:1.01.12:provided
          \- (commons-lang:commons-lang:jar:2.1:provided - omitted for conflict with 2.6)

2.3
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- net.sf.json-lib:json-lib:jar:jdk15:2.4:provided
          \- net.sf.ezmorph:ezmorph:jar:1.0.6:provided
             \- (commons-lang:commons-lang:jar:2.3:provided - omitted for conflict with 2.6)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- net.sf.json-lib:json-lib:jar:jdk15:2.4:provided
          \- net.sf.ezmorph:ezmorph:jar:1.0.6:provided
             \- (commons-lang:commons-lang:jar:2.3:provided - omitted for conflict with 2.6)

2.5
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- net.sf.json-lib:json-lib:jar:jdk15:2.4:provided
          \- (commons-lang:commons-lang:jar:2.5:provided - omitted for conflict with 2.6)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- net.sf.json-lib:json-lib:jar:jdk15:2.4:provided
          \- (commons-lang:commons-lang:jar:2.5:provided - omitted for conflict with 2.6)

2.6
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    +- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
    |  +- org.onehippo.cms7:hippo-cms-json:jar:13.0.0:provided
    |  |  \- (commons-lang:commons-lang:jar:2.6:provided - omitted for duplicate)
    |  \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
    |     +- org.onehippo.cms7:hippo-repository-utilities:jar:13.0.0:provided
    |     |  \- (commons-lang:commons-lang:jar:2.6:provided - omitted for duplicate)
    |     \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
    |        +- (commons-lang:commons-lang:jar:2.6:provided - omitted for duplicate)
    |        \- org.onehippo.cms7:hippo-cms7-utilities:jar:13.0.0:provided
    |           \- (commons-lang:commons-lang:jar:2.6:provided - omitted for duplicate)
    \- org.onehippo.cms7:hippo-cms-engine:jar:13.0.0:provided
       \- commons-lang:commons-lang:jar:2.6:provided

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    +- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
    |  +- org.onehippo.cms7:hippo-cms-json:jar:13.0.0:provided
    |  |  \- (commons-lang:commons-lang:jar:2.6:provided - omitted for duplicate)
    |  \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
    |     +- org.onehippo.cms7:hippo-repository-utilities:jar:13.0.0:provided
    |     |  \- (commons-lang:commons-lang:jar:2.6:provided - omitted for duplicate)
    |     \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
    |        +- (commons-lang:commons-lang:jar:2.6:provided - omitted for duplicate)
    |        \- org.onehippo.cms7:hippo-cms7-utilities:jar:13.0.0:provided
    |           \- (commons-lang:commons-lang:jar:2.6:provided - omitted for duplicate)
    \- org.onehippo.cms7:hippo-cms-engine:jar:13.0.0:provided
       \- commons-lang:commons-lang:jar:2.6:provided

joda-time:joda-time

[Error]
2.0
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-perspectives:jar:13.0.0:provided
       \- joda-time:joda-time:jar:2.0:provided

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-perspectives:jar:13.0.0:provided
       \- joda-time:joda-time:jar:2.0:provided

2.9.4
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.apache.wicket:wicket-datetime:jar:7.10.0:provided
          \- (joda-time:joda-time:jar:2.9.4:provided - omitted for conflict with 2.0)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.apache.wicket:wicket-datetime:jar:7.10.0:provided
          \- (joda-time:joda-time:jar:2.9.4:provided - omitted for conflict with 2.0)

org.apache.commons:commons-collections4

[Error]
4.1
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.apache.wicket:wicket-core:jar:7.10.0:provided
       +- org.apache.commons:commons-collections4:jar:4.1:provided
       \- org.apache.wicket:wicket-request:jar:7.10.0:provided
          \- (org.apache.commons:commons-collections4:jar:4.1:provided - omitted for duplicate)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.apache.wicket:wicket-core:jar:7.10.0:provided
       +- org.apache.commons:commons-collections4:jar:4.1:provided
       \- org.apache.wicket:wicket-request:jar:7.10.0:provided
          \- (org.apache.commons:commons-collections4:jar:4.1:provided - omitted for duplicate)

4.2
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
             +- org.onehippo.cms7:hippo-repository-tika:jar:13.0.0:provided
             |  \- org.apache.tika:tika-parsers:jar:1.19.1:provided
             |     \- org.apache.poi:poi:jar:4.0.0:provided
             |        \- (org.apache.commons:commons-collections4:jar:4.2:provided - omitted for conflict with 4.1)
             \- (org.apache.commons:commons-collections4:jar:4.2:provided - omitted for conflict with 4.1)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
             +- org.onehippo.cms7:hippo-repository-tika:jar:13.0.0:provided
             |  \- org.apache.tika:tika-parsers:jar:1.19.1:provided
             |     \- org.apache.poi:poi:jar:4.0.0:provided
             |        \- (org.apache.commons:commons-collections4:jar:4.2:provided - omitted for conflict with 4.1)
             \- (org.apache.commons:commons-collections4:jar:4.2:provided - omitted for conflict with 4.1)

org.apache.tika:tika-core

[Error]
1.18
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
             \- org.apache.jackrabbit:jackrabbit-core:jar:2.16.2-h3:provided
                \- org.apache.tika:tika-core:jar:1.18:provided

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
             \- org.apache.jackrabbit:jackrabbit-core:jar:2.16.2-h3:provided
                \- org.apache.tika:tika-core:jar:1.18:provided

1.19.1
  1. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-api:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
             \- org.onehippo.cms7:hippo-repository-tika:jar:13.0.0:provided
                +- (org.apache.tika:tika-core:jar:1.19.1:provided - omitted for conflict with 1.18)
                \- org.apache.tika:tika-parsers:jar:1.19.1:provided
                   \- (org.apache.tika:tika-core:jar:1.19.1:provided - omitted for conflict with 1.18)

  2. org.bloomreach.forge.settingsmanagement:bloomreach-settingsmanagement-frontend-core:jar:2.0.0
    \- org.onehippo.cms7:hippo-cms-api:jar:13.0.0:provided
       \- org.onehippo.cms7:hippo-repository-workflow:jar:13.0.0:provided
          \- org.onehippo.cms7:hippo-repository-engine:jar:13.0.0:provided
             \- org.onehippo.cms7:hippo-repository-tika:jar:13.0.0:provided
                +- (org.apache.tika:tika-core:jar:1.19.1:provided - omitted for conflict with 1.18)
                \- org.apache.tika:tika-parsers:jar:1.19.1:provided
                   \- (org.apache.tika:tika-core:jar:1.19.1:provided - omitted for conflict with 1.18)